#!/bin/sh
name="${1:-dev}"
podman container rm -f -t 1 "$name"
podman pull git.plabble.org/job79/dev:latest
podman run -it \
  --name "$name" \
  -v /run/user/1000/wayland-0:/run/user/1000/wayland-0 \
  -v "$SSH_AUTH_SOCK":/run/user/1000/ssh-auth-sock \
  -v ~/Documents:/home/user/Documents \
  -v ~/.ssh:/home/user/.ssh \
  -v ~/.config/git:/home/user/.config/git \
  -v "$name"-copilot:/home/user/.config/github-copilot \
  -v "$name"-local:/home/user/.local \
  -v "$name"-cache:/home/user/.cache \
  --security-opt label=disable \
  --userns=keep-id \
  git.plabble.org/job79/dev:latest
